Compiling KiCad 5.1.7 for macos High Sierra

Hello,

I’m on High Sierra and want to compile stable relase.
I was able to compile unstable 5.99, but I always get same error while trying to compile for stable release 5.1.7

I use kicad-mac-builder to compile.
Some help will be much appreciated.

"
cd /Users/user/kicad-mac-builder/build/kicad/src/kicad && git tag -a 5.1.7 -m 5.1.7
fatal: tag ‘5.1.7’ already exists
make[2]: *** [kicad/src/kicad-stamp/kicad-update] Error 128
make[1]: *** [CMakeFiles/kicad.dir/all] Error 2
make: *** [all] Error 2
Error while running make after rebuilding with a single job. Please report this issue if you cannot fix it after reading the README.
build.py argument summary:
build_type: Release
docs_tarball_url: https://kicad-downloads.s3.cern.ch/docs/kicad-doc-5.1.7.tar.gz
extra_version: None
footprints_ref: 5.1.7
jobs: 1
kicad_git_url: https://gitlab.com/kicad/code/kicad.git
kicad_ref: 5.1.7
kicad_source_dir: None
macos_min_version: 10.13
packages3d_ref: 5.1.7
release: True
release_name: 5.1.7
retry_failed_build: True
symbols_ref: 5.1.7
target: []
templates_ref: 5.1.7
translations_ref: 5.1.7
"

What exact command did you use to build with?

Thank you for your response

./build.py --release --kicad-ref 5.1.7 --symbols-ref 5.1.7 --footprints-ref 5.1.7 --packages3d-ref 5.1.7 --translations-ref 5.1.7 --templates-ref 5.1.7 --docs-tarball-url https://kicad-downloads.s3.cern.ch/docs/kicad-doc-5.1.7.tar.gz --release-name 5.1.7

Well, the code seems to try to create that tag when adding --release-name, see https://gitlab.com/kicad/packaging/kicad-mac-builder/-/blob/6527ad221dd0a4824e5f4f2c3b1fd655d190426e/kicad-mac-builder/kicad.cmake#L19

So you should really be using --release-name 5.1.7-high-sierra or whatever that does not match a git tag in the source. I hope this helps. Good luck, you may run in to other issues, but feel free to try it out.

1 Like

FYI - I use ‘Sierra 10.12.6’ (not 'High Sierra). I recently upgraded Kicad 5.1.5 to 5.1.7 (after known Footprint wizard problems with 5.1.6) using the DMG for 10.14 And Newer. No problems - works like it should…

Thank you very much nickoe for support !
This solved the problem and I was able to compile 5.1.7 unified package for High Sierra and up.

For those who need dmg file here is magnet link:
magnet:?xt=urn:btih:e979ad792f3dcb9b5ae2c3afd93663c4fba68034&dn=kicad-unified-5.1.7-10.13.dmg&tr=udp%3A%2F%2Ftracker.openbittorrent.com%3A80%2Fannounce&tr=udp%3A%2F%2Ftracker.publicbt.com%3A80%2Fannounce&tr=udp%3A%2F%2Ftracker.istole.it%3A80%2F

md5 df18c62651b38d8a79a3f330b44a1eeb

2 Likes

Thanks for compiling Tiberiu! I’m currently running high Sierra on my 2011 mac for stability reason, so it is much appreciated. However I have been unable to download it as there are no seeds. Could you upload it on another service, or seed for a while?
Thanks in advance.

Just started my torrent app. You may try now.